## microcode.ctl 1.09

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # 2 of the License, or (at your option) any later version.
 
 PROGRAM		= microcode_ctl
-MICROCODE	= intel-ia32microcode-01May2001.txt
+MICROCODE	= intel-ia32microcode-02Sep2004.txt
 MANPAGE		= microcode_ctl.8
 
 INS		= install
