## microcode.ctl 1.18~0+nmu2

=== debian/changelog ===
microcode.ctl (1.18~0+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add changelog entries for 1.17-13.2 and 1.17-13.1 (closes: #687835)
    Missing changelog entries wreak havok with the BTS version tracking,
    this is not simply a cosmetic fix.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 16 Sep 2012 11:01:15 -0300

microcode.ctl (1.18~0+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace microcode.ctl with a transitional package, to migrate
    systems to the new intel-microcode package
    + Change to empty native package, debhelper compat level 7
    + debian/copyright: update
    + Move to contrib/oldlibs, priority extra
    + Remove replaces of a package not seen in the last decade
    + Change description to that of a transitional package
    + Depend on intel-microcode (>> 1) which superseded installing
      microcode updates, and on iucode-tool, which superseded
      the processing of microcode directly downloaded from Intel
    + Conflict with intel-microcode (<< 1) to be able to remove
      /usr/share/misc/intel-microcode.dat which might have been
      installed either by microcode.ctl's update-intel-microcode
      script or by intel-microcode (<< 1).
    + Use dpkg-maintscript-helper to remove the initscript
    + Remove /usr/share/misc/intel-microcode.dat if still present when
      configuring, and regenerates the initramfs in that case.  This
      avoids left-over cruft microcode in the initramfs for the case
      where update-intel-microcode was used, and we're being configured
      together with intel-microcode (>> 1)
  * This upload effectively removes microcode.ctl from Debian.  Close all
    open bugs against microcode.ctl:
    + closes: #282583, #500802, #563910, #571408, #593845, #597039, #608675
    + closes: #627261, #660121, #663360, #664492, #674667, #684104

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 02 Sep 2012 16:14:26 -0300

microcode.ctl (1.17-13.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Flamarion Jorge).  Closes: #622662
    - Dutch; (Jeroen Schot).  Closes: #633834
    - Italian (Francesca Ciceri).  Closes: #656246

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Jan 2012 07:27:09 +0100

microcode.ctl (1.17-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #595630
    - Japanese (Hideki Yamane).  Closes: #599890
    - Slovak (Ivan Masár).  Closes: #619312

 -- Christian Perrier <bubulle@debian.org>  Thu, 31 Mar 2011 07:19:42 +0200

microcode.ctl (1.17-13) unstable; urgency=low

  * update-intel-microcode: retrieve the first firmware in the RSS
    applying patch from Hajo Moeller (Closes: #549699)
  * remove possible needless dependency on po-debconf (Closes: #539943)

 -- Giacomo Catenazzi <cate@debian.org>  Wed, 07 Oct 2009 08:16:54 +0200

microcode.ctl (1.17-12) unstable; urgency=low

  * Downgrade intel-microcode to Recommends, removing the circular
    dependency (Closes: #530338), giving some more visibility.
  * extract microcode to a temporary file, in case wget will fail
    (Closes: #500798)
  * Remove support for old broken kernels  (Closes: #501074)
  * Changed the priority and the default of debconf question:
    don't download microcode by default (Closes: #529982)
  * no bashism in actual init.d script, so let allow /bin/sh to
    parse it (Closes: #534049)
  * Improve the output on errors (Closes: #495146), and handle
    better the errors
  * exit imediately if no Intel processors are found (Closes: #515760)
  * bump to policy 2.8.2

 -- Giacomo Catenazzi <cate@debian.org>  Sun, 26 Jul 2009 12:40:31 +0200

microcode.ctl (1.17-11) unstable; urgency=low

  * Fix "Invalid parameter for modprobe call in rc script"
    in debian/microcode.ctl.init(Closes: #519904)
  * Update Galician translation, thanks to Marce Villarino (Closes: #512244)
  * Bumped version-standards to 3.8.1, no changes needed
  * Correct lintian command-with-path-in-maintainer-script.
  * add homepage to debian/control

 -- Giacomo Catenazzi <cate@debian.org>  Tue, 17 Mar 2009 08:06:21 +0100

microcode.ctl (1.17-10) unstable; urgency=low

  * Add Spanish translation of debconf (Closes: #499213)

 -- Giacomo Catenazzi <cate@debian.org>  Wed, 15 Oct 2008 08:22:56 +0200

microcode.ctl (1.17-9) unstable; urgency=medium

  * update-intel-microcode: new format (.tgz) in newer microcodes
    (from 2008-09-10) (Closes: #498975, #498779)
  * set also --no-verbose option, or it will eventually conflict
    with .wgetrc and --quiet. (Closes: #495024)

 -- Giacomo Catenazzi <cate@debian.org>  Mon, 15 Sep 2008 09:13:38 +0200

microcode.ctl (1.17-8) unstable; urgency=low

  * Now "update-intel-microcode" uses the Intel website to
    check the microcode
  * Sugest the new "intel-microcode" package.

 -- Giacomo Catenazzi <cate@debian.org>  Wed, 27 Feb 2008 08:18:15 +0100

microcode.ctl (1.17-7) unstable; urgency=low
  
  * New microcode and document intel site as new official download
    source
  * Finnish translation of the debconf templates,
    thanks Esko (Closes: #457224)
  * New microcodes includes support for core due (Closes: #439872)

 -- Giacomo Catenazzi <cate@debian.org>  Mon, 11 Feb 2008 08:45:54 +0100

microcode.ctl (1.17-6) unstable; urgency=low

  * Use cdbs/1/class/makefile.mk instead of manual rules
  * Correct postint (use -e instead of -x test on old microcode
    (closes: #440742)

 -- Giacomo Catenazzi <cate@debian.org>  Tue, 04 Sep 2007 08:06:17 +0200

microcode.ctl (1.17-5) unstable; urgency=low

  * Remove references to the obsolete 'modutils' from dependencies
  * Ooops. Include microcode_ctl binary (and manpage) (closes: #439871)

 -- Giacomo Catenazzi <cate@debian.org>  Tue, 28 Aug 2007 08:44:05 +0200

microcode.ctl (1.17-4) unstable; urgency=low

  * Use cdbs building scripts

